For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get Support Ticket

Returns Support ticket details

This endpoint will returns the support ticket details for a ticketId.

Returns a support ticket details.

POST https://api.onramp.money/onramp/api/v2/whiteLabel/support/ticket

Request Body

Name
Type
Description

ticketId*

String

Unique id of the support ticket

customerId*

String

Unique id received from /customers

{
    "status": 1,
    "code": 200,
    "data": [
        {
            "ticketId": "33391",
            "createdAt": "2023-11-21T15:09:00.000Z",
            "status": "2",
            "ticketDetails": [
                {
                    "user": "This is a test ticket again"
                },
                {
                    "supportTeam": "Hi user, Hello we received your test ticket. This message will be stored as a test message."
                }
            ]
        }
    ]
}

{
    "status": 0,
    "code": 400,
    "error": "Missing parameter -> customerId, ticketId."
}

  • status -> 0 is for unsuccessful request, 1 is for a successful one.

  • ticketId -> The unique support ticket Id for Onramp.

  • status -> Current ticket status . Will always be among these value

    • 2 -> OPEN

    • 3 -> PENDING

    • 4 -> RESOLVED

    • 5 -> CLOSED

  • ticketDetails -> This will contain all the current ticket conversations.

Last updated